#ifndef _I2C_H
#define _I2C_H

#define PIN_SCL 2
#define PIN_SDA 3

void i2c_init(void);
void i2c_cleanup(void);
void i2c_start(void);
void i2c_stop(void);
int i2c_sendbyte(int value);
int i2c_readbyte(int ack_control);
int read_pin(int pin);
void set_output(int pin);
void set_input(int pin);
void i2c_delay(void);
void i2c_test(void);

enum {SEND_ACK, SEND_NACK};

#endif
